<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
        <title> The Educators Academy</title>
        <meta content="The Educators Academy" name=" The Educators Academy" />
        <meta content=" The Educators Academy" name=" The Educators Academy" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />

        <!-- App Icons -->
        <link rel="shortcut icon" href="{{ asset('assets/admin/images/favicon.png')}}">

        <!--Morris Chart CSS -->
        <link rel="stylesheet" href="{{ asset('assets/admin/plugins/morris/morris.css')}}">

        <!-- Basic Css files -->
        <link href="{{ asset('assets/admin/css/bootstrap.min.css')}}" rel="stylesheet" type="text/css">
        <link href="{{ asset('assets/admin/css/metismenu.min.css')}}" rel="stylesheet" type="text/css">
        <link href="{{ asset('assets/admin/css/icons.css')}}" rel="stylesheet" type="text/css">
        <link href="{{ asset('assets/admin/css/student-style.css')}}" rel="stylesheet" type="text/css">

    @yield('styles')
</head>
<body class="fixed-left">
  <!-- Loader -->
<div id="preloader"><div id="status"><div class="spinner"></div></div></div>

<!-- Begin page -->
<div id="wrapper">
@if(Auth::User()->hasRole('Admin'))
@include('includes.adminHeader')
@endif
@if(Auth::User()->hasRole('Student'))
@include('includes.studentHeader')
@endif
@yield('content')
</div>
<!-- END wrapper -->


        <!-- jQuery  -->
        <script src="{{ asset('assets/admin/js/jquery.min.js')}}"></script>
        <script src="{{ asset('assets/admin/js/bootstrap.bundle.min.js')}}"></script>
        <script src="{{ asset('assets/admin/js/modernizr.min.js')}}"></script>
        <script src="{{ asset('assets/admin/js/metisMenu.min.js')}}"></script>
        <script src="{{ asset('assets/admin/js/jquery.slimscroll.js')}}"></script>
        <script src="{{ asset('assets/admin/js/waves.js')}}"></script>

        <script src="{{ asset('assets/admin/plugins/peity-chart/jquery.peity.min.js')}}"></script>

        <!--Morris Chart-->
        <script src="{{ asset('assets/admin/plugins/morris/morris.min.js')}}"></script>
        <script src="{{ asset('assets/admin/plugins/raphael/raphael-min.js')}}"></script>

        <!-- <script src="{{ asset('assets/admin/pages/dashboard.js')}}"></script> -->
	<!--Wysiwig js-->
        <script src="{{ asset('assets/admin/js/tinymce.min.js')}}" ></script>



        <!-- App js -->
        <script src="{{ asset('assets/admin/js/app.js')}}"></script>
@yield('scripts')

<script src="{{ asset('notify/bootstrap-notify.js') }}"></script>
<script src="{{ asset('notify/bootstrap-notify.min.js') }}"></script>
<script>
            @if(Session::has('success'))
            $.notify({
              title: '<strong>Success!</strong>',
              message: '{!! Session::get('success') !!}'
            },{
              type: 'success'
            });

            @elseif(Session::has('error'))
            $.notify({
              title: '<strong>Error!</strong>',
              message: '{!! Session::get('error') !!}'
            },{
              type: 'error'
            });

            @elseif(Session::has('warning'))
            $.notify({
              title: '<strong>Warning!</strong>',
              message: '{!! Session::get('warning') !!}'
            },{
              type: 'warning'
            });

            @endif
    </script>

	<script>
            $(document).ready(function () {
                if($("#elm1").length > 0){
                    tinymce.init({
                        selector: "textarea#elm1",
                        theme: "modern",
                        height:300,
                        plugins: [
                            "advlist autolink link image lists charmap print preview hr anchor pagebreak spellchecker",
                            "searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking",
                            "save table contextmenu directionality emoticons template paste textcolor"
                        ],
                        toolbar: "insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | l      ink image | print preview media fullpage | forecolor backcolor emoticons",
                        style_formats: [
                            {title: 'Bold text', inline: 'b'},
                            {title: 'Red text', inline: 'span', styles: {color: '#ff0000'}},
                            {title: 'Red header', block: 'h1', styles: {color: '#ff0000'}},
                            {title: 'Example 1', inline: 'span', classes: 'example1'},
                            {title: 'Example 2', inline: 'span', classes: 'example2'},
                            {title: 'Table styles'},
                            {title: 'Table row 1', selector: 'tr', classes: 'tablerow1'}
                        ]
                    });
                }
            });
        </script>
</body>

</html>
